Bug 456788 - "semanage boolean" help and semanage man page are inconsistent
"semanage boolean" help and semanage man page are inconsistent
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-27 00:38 EDT by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-17 14:34:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2008-07-27 00:38:51 EDT
Description of problem:

The on-screen help for "semanage boolean" is inconsistent with the semanage man
page.

Version-Release number of selected component (if applicable):

* Fedora release 9 (Sulphur)
* Linux 2.6.25.11-97.fc9.i686
* policycoreutils-2.0.52-5.fc9.i386
* selinux-policy-3.3.1-79.fc9.noarch
* selinux-policy-devel-3.3.1-79.fc9.noarch
* selinux-policy-targeted-3.3.1-79.fc9.noarch
* libselinux-python-2.0.67-4.fc9.i386
* libselinux-2.0.67-4.fc9.i386

How reproducible:

Always.

Steps to Reproduce:
1. man semanage
2. look at the man page
3. run "semanage boolean"
  
Actual results:

The semanage man page states:
"semanage boolean -{d|m} [--on|--off|-1|-0] -F boolean | boolean_file"

The help output from "semanage boolean":
"semanage boolean -{d|m} [-F]  boolean | boolean_file"

Expected results:

The same results for the man page and help text.
Comment 1 Daniel Walsh 2008-07-29 16:28:03 EDT
Fixed in policycoreutils-2.0.52-7.fc9

Note You need to log in before you can comment on or make changes to this bug.